{
    attributes = (
        {
            columnName = "EXE_ORDRE"; 
            externalType = NUMBER; 
            name = exeOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "PAR_KEY"; 
            externalType = VARCHAR2; 
            name = parKey; 
            valueClassName = NSString; 
            valueType = s; 
            width = 80; 
        }, 
        {
            columnName = "PAR_VALUE"; 
            externalType = VARCHAR2; 
            name = parValue; 
            valueClassName = NSString; 
            valueType = s; 
            width = 200; 
        }
    ); 
    attributesUsedForLocking = (exeOrdre, parKey, parValue); 
    className = "org.cocktail.kiwi.server.metier.EODepenseParametre"; 
    classProperties = (parKey, parValue, toExercice); 
    externalName = "jefy_depense.PARAMETRE"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (parKey, parValue, toExercice); 
        "_javaClientClassName" = "org.cocktail.kiwi.client.metier.budget.EODepenseParametre"; 
    }; 
    name = DepenseParametre; 
    primaryKeyAttributes = (exeOrdre, parKey); 
    relationships = (
        {
            destination = "ca_Exercice"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = exeOrdre; sourceAttribute = exeOrdre; }); 
            name = toExercice; 
        }
    ); 
}
